Package org.apache.sysds.runtime.matrix.operators

## Class Operator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AggregateOperator`, `MultiThreadedOperator`, `QuaternaryOperator`, `SimpleOperator`

    public class Operator
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`boolean` `sparseSafe`

### Constructor Summary

Constructors
`Operator()`
`Operator​(boolean sparseSafeFlag)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sparseSafe

    public final boolean sparseSafe

### Constructor Detail

#### Operator

    public Operator()

#### Operator

    public Operator​(boolean sparseSafeFlag)